#use Appimage

Name:           upscayl
Version:     	2.11.0
Release:        %mkrel 1
Summary:        Free and Open Source AI Image Upscaler
Group:		Graphics
License:        AGPL-3.0
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://github.com/upscayl
Source1:        %{name}.png
#-----------------------------------------------------------------

%description
Upscayl is a free and open source desktop application that lets you upscale your
low resolution images using advanced AI Models. Upscayl is a Linux-First
Application that prioritizes Linux builds but is also cross-platform.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/upscayl/upscayl/releases/download/v2.11.0/upscayl-2.11.0-linux.AppImage
chmod +x upscayl-2.11.0-linux.AppImage
popd

install -Dm 0755 %{_sourcedir}/upscayl-2.11.0-linux.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Upscayl
GenericName=upscayl
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Categories=Graphics;2DGraphics;RasterGraphics;
Keywords=picture;drawing;vector;bitmap;cartoon;animation;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Tue May 07 2024 Agent Smith <ruidobranco@yahoo.com.br> - 2.11.0-1pclos2024
- Updated pkg from Appimage.

* Mon Mar 04 2024 Agent Smith <ruidobranco@yahoo.com.br> - 2.10.0-1pclos2024
- Updated pkg from Appimage.

* Fri Jan 19 2024 Agent Smith <ruidobranco@yahoo.com.br> - 2.9.8-1pclos2024
- Updated pkg from Appimage.

* Wed Oct 11 2023 Agent Smith <ruidobranco@yahoo.com.br> - 2.8.6-1pclos2023
- Updated pkg from Appimage.

* Tue Sep 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 2.7.5-1pclos2023
- Updated pkg from Appimage.

* Thu Aug 17 2023 Agent Smith <ruidobranco@yahoo.com.br> - 2.5.5-1pclos2023
- Updated pkg from Appimage.

* Thu Jan 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 2.0.1-1pclos2023
- Updated pkg from Appimage.

* Wed Dec 14 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.5.5-1pclos2022
- Created pkg from Appimage.




